pause mouse keypress
# Werte von MOUSE_KEY fr ein paar Tasten:
# Pfeil rechts: 1010
# Pfeil links : 1008
# Pfeil hoch  : 1009
# Pfeil runter: 1011
# plus        : 43
# minus       : 45

# Aktuelle Diagrammeinstellungen lesen, falls gezoomt wurde
S_TIMEVAL = GPVAL_X_MIN
E_TIMEVAL = GPVAL_X_MAX
TIMEDIFF = GPVAL_X_MAX - GPVAL_X_MIN

# Zeitbereich mit Pfeiltasten <- oder -> verschieben
if (MOUSE_KEY == 1010) S_TIMEVAL = S_TIMEVAL + TIMEDIFF
if (MOUSE_KEY == 1008) S_TIMEVAL = S_TIMEVAL - TIMEDIFF

# Zeitbereich mit +/- vergrern / verkleinern
if (MOUSE_KEY == 43) TIMEDIFF = TIMEDIFF + 86400
if (MOUSE_KEY == 45) TIMEDIFF = (TIMEDIFF > 86400 ? TIMEDIFF - 86400 : 86400)

# Endzeitpunkt fr Diagramm bestimmen
E_TIMEVAL = S_TIMEVAL + TIMEDIFF

# Zeitbereich fr Diagramm neu setzen
set xrange [S_TIMEVAL:E_TIMEVAL]

set autoscale y
set autoscale y2

#########
# Debug Ausgaben
print "MOUSE_KEY   = " .MOUSE_KEY
print "S_DAY       = " .S_DAY
print "TIMEDIFF    = " .sprintf("%f", TIMEDIFF)
print "GPVAL_X_MIN = " .sprintf("%f", GPVAL_X_MIN)
print "GPVAL_X_MAX = " .sprintf("%f", GPVAL_X_MAX)
#########

# Diagramm neu zeichnen
replot

# Abbruch mit ESC, ansonsten diese Datei neu einlesen
if (MOUSE_KEY != 27) reread
print "Mit ESC beendet."