reset
set xdata time
set title "Temperatur / Luftdruck\nBeenden mit ESC - Zeitbereich verschieben mit Pfeiltasten - Zeitbereich verkleinern / vergrern mit +/-"
set datafile separator ";"
set timefmt "%d.%m.%Y %H:%M:%S"
set format x "%d.%m.%Y\n%H:%M"
set xlabel "Datum\nUhrzeit"
set ylabel "Temperatur"
set y2label "Luftdruck"
set y2range []
set y2tics
set autoscale y2
set grid
# Startwerte fr Variablen setzen
S_TIMEVAL = 347155200	# 1.1.2011
E_TIMEVAL = 347241600	# 2.1.2011
TIMEDIFF = 86400		# 1 Tag
set xrange [S_TIMEVAL:E_TIMEVAL]
plot 'temperatur.csv' using 2:3 axes x1y1 title "Temperatur" with lines, 'luftdruck.csv' using 2:3 axes x1y2 title "Luftdruck" with lines
load 'loop.plt'